#ifndef CITY_H
#define CITY_H

#include<string>

using std::string;

class CCity
{
	public:
		CCity(){}
		CCity(string Name)
		{
			m_Name = Name;
		}
		void Get();
		void Show() const;

		string Name();
		
		const CCity& operator= (const CCity& CityToCopy );

		bool operator==(const CCity& ComparisonCity ) const;
		bool operator==(const string& ComparisonCityName ) const;
		bool operator==(const int& Population ) const;

		bool operator!=(const CCity& ComparisonCity ) const;
		bool operator!=(const string& ComparisonCityName ) const;
		
		bool operator<(const CCity& ComparisonCity ) const;
		bool operator<(const string& ComparisonCityName ) const;
		bool operator>(const CCity& ComparisonCity ) const;
		bool operator>(const string& ComparisonCityName ) const;
		
		bool operator<=(const CCity& ComparisonCity ) const;
		bool operator<=(const string& ComparisonCityName ) const;
		bool operator>=(const CCity& ComparisonCity ) const;
		bool operator>=(const string& ComparisonCityName ) const;


		bool AtCoordinates(const CCity& ComparisonCity ) const;
		bool AtCoordinates(const long ComparisonDegreesNorth, 
								const long ComparisonDegreesWest) const;
		bool WithinRange(const long ComparisonDegreesNorth, 
							  const long ComparisonDegreesWest,
							  const long Range	)const;


	private:
		string m_Name;
		long m_DegreesNorth;
		long m_DegreesWest;
		long m_Population;
		float m_AverageTemperature;
};

#endif